# say – Makes a computer to speak

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- makes a computer speak! Amuse your friends, annoy your coworkers!

Aliases: osx_say

## Requirements

The below requirements are needed on the host that executes this module.

- say or espeak or espeak-ng

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
msg - / required |  | What to say
voice - |  | What voice to use

## Notes

Note

- In 2.5, this module has been renamed from `osx_say` to say.
- If you like this module, you may also be interested in the osx_say callback plugin.
- A list of available voices, with language, can be found by running `say -v ?` on a OSX host and `espeak --voices` on a Linux host.

## Examples

    - say:
        msg: '{{ inventory_hostname }} is all done'
        voice: Zarvox
      delegate_to: localhost

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]
- This module is maintained by the Ansible Community. [community]

### Authors

- Ansible Core Team
- Michael DeHaan (@mpdehaan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.